package net.alviano.unsafe;

public class Automobile extends Veicolo {
	public Automobile() {
		super();
	}
	
	public Automobile(String targa, String casaProduttrice, String nome, Double prezzo) {
		super(targa, casaProduttrice, nome, prezzo);
	}
	
	@Override
	public Double getPrezzo() {
		if(super.getPrezzo() < 10000.0) return super.getPrezzo() * 0.95;
		if(super.getPrezzo() < 20000.0) return super.getPrezzo() * 0.90;
		return super.getPrezzo();
	}
	
	@Override
	public String toSaveFormat() {
		return String.format("Automobile;%s;%s;%s;%f", getTarga(), getCasaProduttrice(), getNome(), getPrezzo());
	}
	
	public static void main(String[] args) {
		Veicolo v = new Automobile("AB123CD", "Volkswagen", "CC", 19000.0);
		System.out.println(v);
	}

}
