package net.alviano.unsafe;

public class Moto extends Veicolo {
	public Moto() {
		super();
	}
	
	public Moto(String targa, String casaProduttrice, String nome, Double prezzo) {
		super(targa, casaProduttrice, nome, prezzo);
	}
	
	@Override
	public Double getPrezzo() {
		if(super.getPrezzo() < 7000) return super.getPrezzo() * (1 - 0.03);
		if(super.getPrezzo() < 15000) return super.getPrezzo() * (1 - 0.075);
		return super.getPrezzo();
	}
	
	@Override
	public String toSaveFormat() {
		return String.format("Moto;%s;%s;%s;%f", getTarga(), getCasaProduttrice(), getNome(), getPrezzo());
	}

	public static void main(String[] args) {
		
	}
}
