package net.alviano.unsafe;

public class Veicolo {
	private String targa;
	private String casaProduttrice;
	private String nome;
	private Double prezzo;
	
	public Veicolo() {
		this.targa = "";
		this.casaProduttrice = "";
		this.nome = "";
		this.prezzo = 0.0;
	}
	
	public Veicolo(String targa, String casaProduttrice, String nome, Double prezzo) {
		this.targa = targa;
		this.casaProduttrice = casaProduttrice;
		this.nome = nome;
		this.prezzo = prezzo;
	}
	
	public String toString() {
		return String.format("%s;%s;%s;%f", getNome(), getTarga(), getCasaProduttrice(), getPrezzo()); 
	}
	
	public String toSaveFormat() {
		return String.format("Veicolo;%s;%s;%s;%f", targa, casaProduttrice, nome, prezzo);
	}
	
	public String getTarga() {
		return targa;
	}
	public void setTarga(String targa) {
		this.targa = targa;
	}
	public String getCasaProduttrice() {
		return casaProduttrice;
	}
	public void setCasaProduttrice(String casaProduttrice) {
		this.casaProduttrice = casaProduttrice;
	}
	public String getNome() {
		return nome;
	}
	public void setNome(String nome) {
		this.nome = nome;
	}
	public Double getPrezzo() {
		return prezzo;
	}
	public void setPrezzo(Double prezzo) {
		this.prezzo = prezzo;
	}
	
	public static void main(String[] args) {
		Veicolo v = new Veicolo("AB123CD", "Volkswagen", "CC", 19000.0);
		System.out.println(v);
	}
}
